const GET = 'GET';
const POST = 'POST';
const PUT = 'PUT';
const FORM = 'FORM';
const DELETE = 'DELETE';

const baseURL = 'https://www.znthodo.com';

function request(method, url, data) {
  console.log(method, url, data)
    return new Promise(function(resolve, reject) {
        let header = {
            'content-type': 'application/json',
            'Cookie':wx.getStorageSync('cookie')[0]||''
        };
        console.log(data)
        wx.request({
            url: baseURL + url,
            method: method,
            data: method === POST||PUT ? JSON.stringify(data) : data,
            header: header,
            success(res) {
                //请求成功
                //判断状态码---errCode状态根据后端定义来判断
                // if (res.data.errCode == 0) {
                //     resolve(res);
                // } else {
                //     //其他异常
                //     reject('运行时错误,请稍后再试');
                // }
                console.log(res)
                if(res.statusCode>=200&&res.statusCode<300){
                  resolve(res);
                }else{
                  reject('运行时错误,请稍后再试');
                }
            },
            fail(err) {
                //请求失败
                reject(err)
            }
        })
    })
}


const API = {
  getCsrf: () => request(GET, '/api/sanctum/csrf-cookie'),
  login:(data) => request(POST,'/api/auth/login',data),
  salesrecord:(data)=>request(POST,'/wechat/sales',data),   //上传订单
  saleslist:()=>request(GET,'/wechat/sales'),   //订单列表
  saledetails:()=>request(GET,'wechat/sales/{id}/items'),   // 订单明细
  waitlist:()=>request(GET,'/wechat/buys'),   //请购单
  waitlistDetails:(id)=>{
    const url = '/wechat/buys/'+id+'/items';
    return request(GET,url)
  },
  waitlistConfirm:(data)=>request(PUT,'/wechat/buys',data),   //审核
  moneylist:()=>request(GET,'/wechat/funds'), //报销列表
  moneydetails:(id)=>{
    const url = '/wechat/funds/'+id+'/items';
    return request(GET,url)
  },
  //request(GET,'wechat/funds/{id}/items'),//报销详情
  moneyConfirm:(data)=>request(PUT,'/wechat/funds',data),//审核
  saleslistDetails:(id)=>{
    const url = '/wechat/sales/'+id+'/items';
    return request(GET,url)
  },
};
module.exports = {
  API: API
}